BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0


Summary:        IZPack installer generator
Name:           izpack
Version:        3.8.1
Release:        alt1_3jpp1.7
Epoch:          0
License:        Apache Software License 2.0
URL:            http://www.izforge.com/izpack/
Group:          Development/Java
Source0:        izpack-3.8.1-src.tar.gz
# svn export http://svn.berlios.de/svnroot/repos/izpack/izpack-src/tags/release-3-8-1/

BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: ant >= 0:1.6
BuildRequires: ant-junit >= 0:1.6
BuildRequires: junit
BuildRequires: regexp
Requires: regexp
%if %{gcj_support}
BuildRequires: gnu-crypto
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif

%description
IzPack is an installers generator for the Java platform. It 
produces lightweight installers that can be run on any operating 
system where a Java virtual machine is available. Depending on 
the operating system, it can be launched by a double-click or a 
simple 'java -jar installer.jar' on a shell. The most common use 
is to distribute applications for the Java platform, but you can 
also use it for other kinds of projects. The main benefit of 
IzPack is that it provides a clean and unique way of distributing 
a project to users using different operating systems. IzPack is 
reported to run on :
* Unix-like systems, mostly Linux and BSD
* MacOS X
* Windows variants
A big care has been put in making IzPack as small as possible in 
order to reduce the weight of IzPack itself in the final installer 
archive. Also, IzPack has been designed around modularity and 
flexibility. As a consequence, you are able to specify how your 
installer should be by selecting the panels that you want to show 
to the final user. Sometimes there are even several panels for the 
same usage so that you can pick the one that suits the best your 
needs. If ever you don't find your way through the available panels, 
you can still develop your own ones with the nice and easy IzPack 
API. There's even an embedded XML parser !


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%package demo
Summary:        Samples for %{name}
Group:          Development/Documentation

%description demo
%{summary}.

%prep
%setup -q -n %{name}-%{version}-src
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
  mv $j $j.no
done


%build
pushd lib
ln -sf $(build-classpath regexp) jakarta-regexp-1.3.jar
ln -sf $(build-classpath ant) .
popd
cd src
ant all build.javadoc

%install

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{name}

cp -p lib/uninstaller.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/uninstaller-%{version}.jar
cp -p lib/compiler.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/compiler-%{version}.jar
cp -p lib/uninstaller-ext.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/uninstaller-ext-%{version}.jar
cp -p lib/installer.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/installer-%{version}.jar
cp -p lib/standalone-compiler.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/standalone-compiler-%{version}.jar
cp -p lib/izevent.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/izevent-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/izpack/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/nanoxml/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p *.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# resources
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
cp -pr bin/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin/native

# samples
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/sample
cp -pr sample/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/sample

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%if %{gcj_support}
%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%{_docdir}/%{name}-%{version}/*.txt
%{_javadir}/%{name}/*.jar
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/*.jar.*
%endif

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files manual
%{_docdir}/%{name}-%{version}

%files demo
%{_datadir}/%{name}-%{version}

%changelog
* Mon Jun 04 2007 Igor Vlasenko <viy@altlinux.ru> 0:3.8.1-alt1_3jpp1.7
- converted from JPackage by jppimport script

